import { Router, CanActivate } from '@angular/router';
import { CheckoutService } from '../services/checkout/checkout.service';
export declare class CheckoutReadyGuard implements CanActivate {
    private router;
    private checkoutService;
    constructor(router: Router, checkoutService: CheckoutService);
    canActivate(): boolean;
}
